Freeciv-3.2: /fast/freeciv/nightly/S3_2/tools/manual/fc_manual.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
fc_manual.h File Reference
`#include <stdio.h>`
`#include "support.h"`
`#include "specenum_gen.h"`

Go to the source code of this file.

## Data Structures

struct | tag_types

## Macros

#define | SPECENUM_NAME manuals
#define | SPECENUM_VALUE0 MANUAL_SETTINGS
#define | SPECENUM_VALUE0NAME N_("Settings")
#define | SPECENUM_VALUE1 MANUAL_COMMANDS
#define | SPECENUM_VALUE1NAME N_("Commands")
#define | SPECENUM_VALUE2 MANUAL_TERRAIN
#define | SPECENUM_VALUE2NAME N_("Terrain")
#define | SPECENUM_VALUE3 MANUAL_EXTRAS
#define | SPECENUM_VALUE3NAME N_("Extras")
#define | SPECENUM_VALUE4 MANUAL_BUILDINGS
#define | SPECENUM_VALUE4NAME N_("Buildings")
#define | SPECENUM_VALUE5 MANUAL_WONDERS
#define | SPECENUM_VALUE5NAME N_("Wonders")
#define | SPECENUM_VALUE6 MANUAL_GOVS
#define | SPECENUM_VALUE6NAME N_("Governments")
#define | SPECENUM_VALUE7 MANUAL_UNITS
#define | SPECENUM_VALUE7NAME N_("Units")
#define | SPECENUM_VALUE8 MANUAL_TECHS
#define | SPECENUM_VALUE8NAME N_("Techs")
#define | SPECENUM_COUNT MANUAL_COUNT

## Functions

FILE * | manual_start (struct tag_types *tag_info, int manual_number)
void | manual_finalize (struct tag_types *tag_info, FILE *doc, enum manuals manual)
char * | html_special_chars (char *str, size_t *len)
bool | manual_settings (struct tag_types *tag_info)
bool | manual_commands (struct tag_types *tag_info)
bool | manual_terrain (struct tag_types *tag_info)
bool | manual_extras (struct tag_types *tag_info)
bool | manual_buildings (struct tag_types *tag_info)
bool | manual_governments (struct tag_types *tag_info)
bool | manual_units (struct tag_types *tag_info)
bool | manual_techs (struct tag_types *tag_info)

## Macro Definition Documentation

## ◆ SPECENUM_COUNT

#define SPECENUM_COUNT MANUAL_COUNT

Definition at line 44 of file fc_manual.h.

## ◆ SPECENUM_NAME

#define SPECENUM_NAME manuals

Definition at line 25 of file fc_manual.h.

## ◆ SPECENUM_VALUE0

#define SPECENUM_VALUE0 MANUAL_SETTINGS

Definition at line 26 of file fc_manual.h.

## ◆ SPECENUM_VALUE0NAME

#define SPECENUM_VALUE0NAME N_("Settings")

Definition at line 27 of file fc_manual.h.

## ◆ SPECENUM_VALUE1

#define SPECENUM_VALUE1 MANUAL_COMMANDS

Definition at line 28 of file fc_manual.h.

## ◆ SPECENUM_VALUE1NAME

#define SPECENUM_VALUE1NAME N_("Commands")

Definition at line 29 of file fc_manual.h.

## ◆ SPECENUM_VALUE2

#define SPECENUM_VALUE2 MANUAL_TERRAIN

Definition at line 30 of file fc_manual.h.

## ◆ SPECENUM_VALUE2NAME

#define SPECENUM_VALUE2NAME N_("Terrain")

Definition at line 31 of file fc_manual.h.

## ◆ SPECENUM_VALUE3

#define SPECENUM_VALUE3 MANUAL_EXTRAS

Definition at line 32 of file fc_manual.h.

## ◆ SPECENUM_VALUE3NAME

#define SPECENUM_VALUE3NAME N_("Extras")

Definition at line 33 of file fc_manual.h.

## ◆ SPECENUM_VALUE4

#define SPECENUM_VALUE4 MANUAL_BUILDINGS

Definition at line 34 of file fc_manual.h.

## ◆ SPECENUM_VALUE4NAME

#define SPECENUM_VALUE4NAME N_("Buildings")

Definition at line 35 of file fc_manual.h.

## ◆ SPECENUM_VALUE5

#define SPECENUM_VALUE5 MANUAL_WONDERS

Definition at line 36 of file fc_manual.h.

## ◆ SPECENUM_VALUE5NAME

#define SPECENUM_VALUE5NAME N_("Wonders")

Definition at line 37 of file fc_manual.h.

## ◆ SPECENUM_VALUE6

#define SPECENUM_VALUE6 MANUAL_GOVS

Definition at line 38 of file fc_manual.h.

## ◆ SPECENUM_VALUE6NAME

#define SPECENUM_VALUE6NAME N_("Governments")

Definition at line 39 of file fc_manual.h.

## ◆ SPECENUM_VALUE7

#define SPECENUM_VALUE7 MANUAL_UNITS

Definition at line 40 of file fc_manual.h.

## ◆ SPECENUM_VALUE7NAME

#define SPECENUM_VALUE7NAME N_("Units")

Definition at line 41 of file fc_manual.h.

## ◆ SPECENUM_VALUE8

#define SPECENUM_VALUE8 MANUAL_TECHS

Definition at line 42 of file fc_manual.h.

## ◆ SPECENUM_VALUE8NAME

#define SPECENUM_VALUE8NAME N_("Techs")

Definition at line 43 of file fc_manual.h.

## Function Documentation

## ◆ html_special_chars()

char * html_special_chars | ( | char * | str,
|  | size_t * | len
| ) |  |

Replace html special characters ('&', '<' and '>').

Definition at line 164 of file fc_manual.c.

Referenced by manual_commands(), and manual_settings().

## ◆ manual_buildings()

bool manual_buildings | ( | struct tag_types * | tag_info | ) |

Write improvements manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 136 of file manual_buildings.c.

Referenced by manual_command().

## ◆ manual_commands()

bool manual_commands | ( | struct tag_types * | tag_info | ) |

Write commands manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 33 of file manual_commands.c.

Referenced by manual_command().

## ◆ manual_extras()

bool manual_extras | ( | struct tag_types * | tag_info | ) |

Write extras manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 37 of file manual_extras.c.

Referenced by manual_command().

## ◆ manual_finalize()

void manual_finalize | ( | struct tag_types * | tag_info,
|  | FILE * | doc,
|  | enum manuals | manual
| ) |  |

Generic finalizing step for a manual page. Closes the file.

Parameters

  tag_info | Tag set to use
  doc | Manual handle
  manual_name | Name of the manual

Definition at line 316 of file fc_manual.c.

Referenced by manual_commands(), manual_extras(), manual_governments(), manual_improvements(), manual_settings(), manual_techs(), manual_terrain(), and manual_units().

## ◆ manual_governments()

bool manual_governments | ( | struct tag_types * | tag_info | ) |

Write governments manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 37 of file manual_governments.c.

Referenced by manual_command().

## ◆ manual_settings()

bool manual_settings | ( | struct tag_types * | tag_info | ) |

Write settings manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 33 of file manual_settings.c.

Referenced by manual_command().

## ◆ manual_start()

FILE * manual_start | ( | struct tag_types * | tag_info,
|  | int | manual_number
| ) |  |

Create manual file, and do the generic header for it.

Parameters

  tag_info | Tag set to use
  manual_number | Number of the manual page

Returns
  Handle of the created file

Definition at line 287 of file fc_manual.c.

Referenced by manual_commands(), manual_extras(), manual_governments(), manual_improvements(), manual_settings(), manual_techs(), manual_terrain(), and manual_units().

## ◆ manual_techs()

bool manual_techs | ( | struct tag_types * | tag_info | ) |

Write techs manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 37 of file manual_techs.c.

Referenced by manual_command().

## ◆ manual_terrain()

bool manual_terrain | ( | struct tag_types * | tag_info | ) |

Write terrain manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 33 of file manual_terrain.c.

Referenced by manual_command().

## ◆ manual_units()

bool manual_units | ( | struct tag_types * | tag_info | ) |

Write units manual page

Parameters

  tag_info | Tag set to use

Returns
  Success

Definition at line 37 of file manual_units.c.

Referenced by manual_command().